html, body {
	margin: 0;
	padding: 0;
	font-family: sans-serif;
}
html {
	background-color: GhostWhite;
}
body {
	display: flex;
	flex-direction: column;
}

.header, .footer {
	background-color: CornFlowerBlue;
	box-shadow: 1px 1px 6px #0009;
}
.header, .footer, .mascot, .end {
	flex-shrink: 0;
}

.header {
	z-index: 3;
	margin-bottom: 10px;
	text-align: center;
	background-repeat: repeat-x;
	background-position: bottom;
	background-image: url(images/title_bg.svg);
}

.header img {
	max-width: 100%;
	max-height: 200px;
	vertical-align: bottom;
}

.friends {
	z-index: 1;
	padding: 0 10px;
}

.footer {
	z-index: 2;
	padding: 5px;
	margin-top: 10px;
	text-align: center;
}

.mascot {
	z-index: 3;
	height: 50px;
	background-repeat: no-repeat;
	background-position: bottom;
	background-color: CornFlowerBlue;
	background-image: url(images/mascot.svg);
}
.end {
	z-index: 4;
	height: 30px;
	background-color: RoyalBlue;
}

.friendBox {
	max-width: 500px;
	min-height: 120px;
	overflow: hidden;
	position: relative;
	margin: 10px auto;
	background-color: White;
	border: none;
	border-radius: 60px 20px 5px 20px;
	box-shadow: 1px 2px 3px #0005;
	text-align: start;
}
.friendTitle {
	font-size: 18px;
	font-weight: bold;
	color: black;
	padding: 10px;
	overflow: hidden;
}
.friendLinks {
	font-size: 17px;
	padding: 10px;
	margin-right: 10px;
	overflow: hidden;
}
.friendFace {
	position: absolute;
	top: 0;
	left: 0;
	margin: 10px;
	width: 100px;
	height: 100px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	background-color: hotpink;
	border-radius: 50%;
	box-shadow: 1px 2px 2px inset #0007;
}
.friendFace:hover {
	box-shadow: 1px 2px 3px #0007;
}

.friendTitle {
	position: absolute;
	top: 0;
	left: 120px;
	right: 10px;
	display: flex;
	align-items: center;
	height: 100px;
}
.friendLinks {
	margin-top: 110px;
	margin-left: 10px;
}
@media screen and (min-width: 480px) {
	.friendTitle {
		display: block;
		height: auto;
		white-space: nowrap;
	}
	.friendLinks {
		position: relative;
		margin-top: 30px;
		margin-left: 110px;
	}
}
@media screen and (min-width: 1000px) {
	.friends {
		font-size: 0;
		columns: 2;
		text-align: center;
		max-width: 1100px;
		margin: 0 auto;
		padding-top: 10px;
	}
	.friendBox {
		display: inline-block;
		width: 97%;
		margin: 0 0 10px 0;
	}
}

.serviceLink {
	display: block;
	white-space: nowrap;
}
.serviceLink+.serviceLink {
	margin-top: 5px;
}
.linkIcon {
	display: inline-block;
	vertical-align: middle;
	width: 40px;
	height: 40px;
	margin-right: 10px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	border-radius: 50%;
}
.link_twitch {
	background-color: DarkOrchid;
	background-image: url(images/icon/twitch.svg);
}
.link_twitter {
	background-color: DeepSkyBlue;
	background-image: url(images/icon/twitter.svg);
}
.link_yt {
	background-color: Crimson;
	background-image: url(images/icon/yt.svg);
}
.link_lore {
	background-color: ForestGreen;
	background-image: url(images/icon/lore.svg);
}
.link_discord {
	background-color: DarkSlateBlue;
	background-image: url(images/icon/discord.svg);
}
.link_podcast {
	background-color: DarkCyan;
	background-image: url(images/icon/podcast.svg);
}
.link_mehr {
	background-color: DarkOrange;
	background-image: url(images/icon/mehr.svg);
}
.serviceLink a:hover .linkIcon, .footerBox:hover .footerIcon {
	background-color: hotpink;
}
.serviceLink a:hover .linkIcon {
	box-shadow: 1px 2px 2px #0007;
}
.serviceLink a {
	font-weight: bold;
}
.serviceLink a:link, .serviceLink a:visited {
	color: Indigo;
}
.serviceLink a:hover, .serviceLink a:active {
	color: Crimson;
}
.serviceLink a .serviceTag {
	font-weight: normal;
	font-size: 90%;
}

.footerBox {
	display: inline-flex;
	position: relative;
	padding: 0px;
	padding-right: 10px;
	margin: 5px;
	width: 250px;
	background-color: White;
	border: none;
	border-radius: 60px;
}
.footerBox:hover {
	box-shadow: 1px 2px 4px #0005;
}
.footerIcon {
	flex: 0 auto;
	width: 60px;
	height: 60px;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	border-radius: 50%;
}
.footerTitle {
	flex: 1 auto;
	margin: auto;
	padding-right: 10px;
	font-size: 16px;
	font-weight: bold;
	color: black;
	text-decoration: none;
}
a:link, a:visited, a:hover, a:active {
	text-decoration: none;
}
